package org.texttechnologylab.project.gruppe_05_1.xml.speeches.Interfaces;

import org.texttechnologylab.project.gruppe_05_1.xml.speeches.enums.MongoDBEntryType;

public interface Constituency {
    /**
     * Returns the id of the constituency.
     *
     * @return the id of the constituency
     */
    int getId();

    /**
     * Returns the type of the MongoDB entry.
     *
     * @return The type of the MongoDB entry.
     */
    MongoDBEntryType getType();
    /**
     * Returns the name of the constituency.
     *
     * @return the name of the constituency
     */
    String getName();
    /**
     * Returns the federal state of the constituency.
     *
     * @return the federal state of the constituency
     */
    String getFederalState();

    /**
     * Returns the HTML representation of the agenda item.
     *
     * @return The HTML representation of the agenda item.
     */
    String toHTML();
}
